lv.eparaksts.validation

## Enum TimestampQualification

- java.lang.Object
- - java.lang.Enum<TimestampQualification>
  - - lv.eparaksts.validation.TimestampQualification

- All Implemented Interfaces:
    Serializable, Comparable<TimestampQualification>

      public enum TimestampQualification
      extends Enum<TimestampQualification>

  Timestamp qualification enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QTSA` Qualified timestamp (QTSA).
    `TSA` Not qualified timestamp (TSA).
    `UNKNOWN` Unknown qualification.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimestampQualification` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimestampQualification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QTSA

          public static final TimestampQualification QTSA

      Qualified timestamp (QTSA).

    - #### TSA

          public static final TimestampQualification TSA

      Not qualified timestamp (TSA).

    - #### UNKNOWN

          public static final TimestampQualification UNKNOWN

      Unknown qualification.

  - ### Method Detail

    - #### values

          public static TimestampQualification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimestampQualification c : TimestampQualification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimestampQualification valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO